/**
 * Created by rockyl on 2018/11/16.
 */

const resolve = require('rollup-plugin-node-resolve');
const commonjs = require('rollup-plugin-commonjs');
const typescript = require('rollup-plugin-typescript2');
const {uglify} = require('rollup-plugin-uglify');

const name = 'scilla-launcher';

export default {
	input: 'src/index.ts',
	output: {
		file: `dist/${name}.js`,
		format: 'umd',
		name,
		//sourcemap: true,
	},
	plugins: [
		resolve({
			browser: true,
		}),
		typescript({
			typescript: require('typescript'),
			tslib: require('tslib'),
			declaration: false,
		}),
		commonjs(),
		//uglify({}),
	],
	external: ['scilla']
};
